# Home

This package provides access to encryption and decryption of strings according to a variety of classical algorithms.  Classical ciphers were created before computers, and thus work on letters rather than bits.

The Solitaire cipher is included for completeness, though it is perhaps not strictly classical.

Currently implemented ciphers:
  - [Caesar](https://en.wikipedia.org/wiki/Caesar_cipher)
  - [Affine](https://en.wikipedia.org/wiki/Affine_cipher)
  - [Monoalphabetic substitution](https://en.wikipedia.org/wiki/Substitution_cipher)
  - [Vigenère](https://en.wikipedia.org/wiki/Vigen%C3%A8re_cipher)
  - [Portas](http://practicalcryptography.com/ciphers/porta-cipher/)
  - [Hill](https://en.wikipedia.org/wiki/Hill_cipher)
  - [Playfair](https://en.wikipedia.org/wiki/Playfair_cipher)
  - [Enigma (M3 Army)](https://en.wikipedia.org/wiki/Enigma_machine)
  - [Solitaire](https://en.wikipedia.org/wiki/Solitaire_(cipher))
  - [Rail Fence](https://en.wikipedia.org/wiki/Rail_fence_cipher)
  - [Atbash](https://en.wikipedia.org/wiki/Atbash)


## Contents
```@contents
```

```@meta
CurrentModule = ClassicalCiphers
DocTestSetup = quote
    using ClassicalCiphers
end
```

## Installing ClassicalCiphers.jl
```@repl
using Pkg
Pkg.add("ClassicalCiphers")
```

## Index
```@index
```
